--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postinst Wed Sep 07 10:56:24 2011 +0100
@@ -0,0 +1,36 @@
+#!/bin/sh
+# postinst script for mercurial-server
+
+set -e
+
+# Load debconf
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ configure|reconfigure)
+ if ! getent passwd hg >/dev/null; then
+ adduser --disabled-password --quiet --system \
+ --shell /bin/sh --group \
+ --home /var/lib/mercurial-server \
+ --gecos "Mercurial repositories" hg
+ # Make sure Mercurial's modules will work when we come to use them
+ update-python-modules -p
+ su -c "/usr/share/mercurial-server/init/hginit /usr/share/mercurial-server" hg
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0